<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado    = $_SESSION['idUsuarioLogado'];
$htmlRetorno      = "";
$dataHoje         = date("Y-m-d");
$opcaoFiltro      = $_POST['opcaoFiltro'];
$idReferencia     = $_POST['idReferencia'];

switch ($opcaoFiltro) {

  case "profissional-cadastro-lista":
    $sqlProfissinoal  = "SELECT 
    tb_profissional.codigoprofissional_cnes,
    tb_profissional.nome_profissional,
    tb_profissional.cpf_profissional,
    tb_profissional.cns_profissional,
    rl_cbo.nome_cbo,
    tb_profissional_vinculo.status_vinculos_profissional,
    tb_profissional_vinculo.codigoestabelecimento_cnes
    FROM tb_profissional_vinculo
    INNER JOIN tb_profissional ON (tb_profissional_vinculo.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    INNER JOIN rl_cbo ON (tb_profissional_vinculo.codigo_cbo = rl_cbo.codigo_cbo)
    WHERE tb_profissional_vinculo.codigoestabelecimento_cnes='$idReferencia' ORDER BY nome_profissional";
    $stmProfissinoal  = $rsConexao->prepare($sqlProfissinoal);
    $stmProfissinoal->execute();

    if ($stmProfissinoal->rowCount() > 0) {
      $rsProfissinoal   = $stmProfissinoal->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsProfissinoal as $fiedProfissinoal) {
        $codigoEstabelecimento  = $fiedProfissinoal['codigoestabelecimento_cnes'];
        $idProfissinoal         = $fiedProfissinoal['codigoprofissional_cnes'];
        $nomeProfissinoal       = $fiedProfissinoal['nome_profissional'];
        $nomeCBO                = $fiedProfissinoal['nome_cbo'];
        $cpfProfissinoal        = $fiedProfissinoal['cpf_profissional'];
        $cnsProfissinoal        = $fiedProfissinoal['cns_profissional'];
        $styleRegistroDesativado  = $fiedProfissinoal['status_vinculos_profissional'] == "A" ? "" : "style='background-color: #ffadad;color: #860000;'";
    
        $linkEditarCadastro  = '"editarProfissional(' . "'$codigoEstabelecimento','$idProfissinoal')" . '"';
        if ($fiedProfissinoal['status_vinculos_profissional'] == "A") {
          $linkComandoBloqueio  = '"statusProfissional(' . "'$codigoEstabelecimento','$idProfissinoal','desativar')" . '"';
          $btnComandoBloqueio    = "<i class='icofont icofont-close-squared nova_fonte_delete' title='Desativar registro do profissional.' onclick=$linkComandoBloqueio></i>";
        } else {
          $linkComandoBloqueio  = '"statusProfissional(' . "'$codigoEstabelecimento','$idProfissinoal','ativar')" . '"';
          $btnComandoBloqueio    = "<i class='icofont icofont-checked nova_fonte_blue' style='font-size:16pt' title='Ativar registro do profissional.' onclick=$linkComandoBloqueio></i>";
        }
        echo "<tr $styleRegistroDesativado>
          <td align='center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro do profissional.' onclick=$linkEditarCadastro></i>&nbsp;
            $btnComandoBloqueio
          </td>
          <td>$nomeProfissinoal</td>
          <td>$nomeCBO</td>
          <td align='center'>$cpfProfissinoal</td>
          <td align='center'>$cnsProfissinoal</td>
        </tr>";
      }
    }
  break;
  
  case "profissional-webservice-cns":
    $numeroDocumento = str_replace("-","",$idReferencia);
    $numeroDocumento = str_replace(".","",$numeroDocumento);
    $numeroDocumento = str_replace(" ","",$numeroDocumento);  
    $optionsHeader = array(
      "http"=>array(
        "header"=>"User-Agent: Mozilla/5.0 (iPad; U; CPU OS 3_2 like Mac OS X; en-us) AppleWebKit/531.21.10 (KHTML, like Gecko) Version/4.0.4 Mobile/7B334b Safari/531.21.102011-10-16 20:23:10\r\n" // i.e. An iPad
      )
    );   
    $contextoHeader = stream_context_create($optionsHeader);
    $retornoJson    = file_get_contents("http://cns.essencialws.app.br/v1/crv_cnsws.php?op=cpf&codbusca=$numeroDocumento", false, $contextoHeader);
    $jsonStrging     = json_decode($retornoJson, true);
    $resultadoCNS   = $jsonStrging['array_cns']; 

    if ($resultadoCNS[0]['numero_cns'] != ""){     
      $arrayRetornoProfissional = array(
        'mensagemRetorno'       => 'sucesso',
        'jsonCNSProfissional'   => $resultadoCNS[0]['numero_cns'],
        'jsonNomeProfissional'  => str_replace("'", "`", $resultadoCNS[1]['nome_usuario'])
      );    
    }else{
      $arrayRetornoProfissional = array(
        'mensagemRetorno' => 'erro'
      );      
    }
    echo json_encode($arrayRetornoProfissional);
  break;

}

?>